PingAuthorize API Reference

Read Test Suite Entity Version History

GET {{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}

The GET /test-suite/{{testSuiteEntityId}}/history operation returns the version history of the test suite entity identified by {{testSuiteEntityId}}. The request must provide the snapshot ID in the request URL to specify where the test suite entity and its version history should be read from.

Prerequisites

Query parameters
Query parameter Description

branch

Branch ID or name

snapshot

Snapshot ID

Headers

x-user-id      {{userId}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}' \
--header 'x-user-id: {{userId}}'
var options = new RestClientOptions("{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("x-user-id", "{{userId}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}} HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}")
  .method("GET", body)
  .addHeader("x-user-id", "{{userId}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}',
  'headers': {
    'x-user-id': '{{userId}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}"

payload = {}
headers = {
  'x-user-id': '{{userId}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["x-user-id"] = "{{userId}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/test-suite/{{testSuiteEntityId}}/history?branch={{branchId}}&snapshot={{snapshotId}}")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "pageHeader": {
        "entityId": "20753550-617f-4f4b-b728-80e191427be5",
        "entityType": "com.symphonicsoft.definition.Definition"
    },
    "pagination": {
        "page": 1,
        "pageSize": 100,
        "totalItems": 0,
        "totalPages": 0
    },
    "data": [
        {
            "version": "b165b21d-e037-4f8d-9a0c-e7a6e4716426",
            "deltaId": "9786cd15-756f-4b6f-abb9-081d14b94537",
            "snapshotId": "e948b62c-2111-4fc5-9d7f-9ac58bda2e23",
            "timestamp": "2025-03-10T15:34:45.353688Z",
            "user": "selfgovernanceadmin"
        },
        {
            "version": "573e16fc-2a30-4226-9108-c63571262fd4",
            "deltaId": "42d19ff7-de6d-4504-9e73-479ed5306d36",
            "snapshotId": "e948b62c-2111-4fc5-9d7f-9ac58bda2e23",
            "timestamp": "2025-03-10T15:05:18.048877Z",
            "user": "selfgovernanceadmin"
        }
    ]
}